PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v0.7.0 »
- SDSS Spectroscopic Data (`pydl.pydlspec2d`) »
- template_input

# template_input

`pydl.pydlspec2d.spec1d.``template_input`(inputfile, dumpfile, flux=False, verbose=False)

  Collect spectra and pass them to PCA or HMF solvers to compute spectral templates.

  This function replaces the various `PCA_GAL()`, `PCA_STAR()`, etc., functions from idlspec2d.

  Parameters:

  inputfile : `str`

  > Name of a Parameter file containing the input data and metadata.

  dumpfile : `str`

  > Name of a Pickle file used to store intermediate data.

  flux : `bool`, optional

  > If `True`, plot the individual input spectra.

  verbose : `bool`, optional

  > If `True`, print lots of extra information.